## Apache Zeta Components Manual :: Docs For Class ezcMailContentDispositionHeader

### Mail::ezcMailContentDispositionHeader

### Class ezcMailContentDispositionHeader

A container to store a Content-Disposition header as described in http://www.faqs.org/rfcs/rfc2183.

This container is used on the contentDisposition property on mail parts. Use it for reading and setting the Content-Disposition header.

Source for this file: /Mail/src/structs/content_disposition_header.php

    ezcBaseStruct
       |
       --ezcMailContentDispositionHeader

Version: | //autogentag//

### Member Variables

public array(string=>string) | `$additionalParameters = array()` Any additional parameters provided in the Content-Disposition header. The format of the field is array(parameterName=>parameterValue)
public array(string=>array()) | `$additionalParametersMetaData = array()` Holds language and characterset data for the additional parameters. Format: array(parameterName=>array('charSet'=>string,'language'=>string))
public string | `$creationDate` The creation date of the file attachment. The time should be formatted as specified by http://www.faqs.org/rfcs/rfc822.html section 5. A typical example is: Sun, 21 May 2006 16:00:50 +0400
public string | `$displayFileName` The filename of the attachment, formatted for display. Used only for parsing, not used when generating a mail. The filename should never include path information. Added for issue #13038. If you use __set_state() be sure to set this property also.
public string | `$disposition` The disposition type, either "inline" or "attachment".
public string | `$fileName` The filename of the attachment. The filename should never include path information.
public string | `$fileNameCharSet` The characterset of the file name.
public string | `$fileNameLanguage` The language of the filename.
public string | `$modificationDate` The last modification date of the file attachment. The time should be formatted as specified by http://www.faqs.org/rfcs/rfc822.html section 5. A typical example is: Sun, 21 May 2006 16:00:50 +0400
public string | `$readDate` The last date the file attachment was read. The time should be formatted as specified by http://www.faqs.org/rfcs/rfc822.html section 5. A typical example is: Sun, 21 May 2006 16:00:50 +0400
public int | `$size` The size of the content in bytes.

### Method Summary

public static ezcMailAddress | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.

public ezcMailContentDispositionHeader

`__construct( [ $disposition = 'inline'] , [ $fileName = null] , [ $creationDate = null] , [ $modificationDate = null] , [ $readDate = null] , [ $size = null] , [ $additionalParameters = array()] , [ $fileNameLanguage = null] , [ $fileNameCharSet = null] , [ $displayFileName = null] )`
Constructs a new ezcMailContentDispositionHeader holding the various values of this container.

### Methods

#### __set_state

static ezcMailAddress __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcMailContentDispositionHeader __construct( [string $disposition = 'inline'] , [string $fileName = null] , [string $creationDate = null] , [string $modificationDate = null] , [string $readDate = null] , [string $size = null] , [array(string=>string) $additionalParameters = array()] , [string $fileNameLanguage = null] , [string $fileNameCharSet = null] , [ $displayFileName = null] )

Constructs a new ezcMailContentDispositionHeader holding the various values of this container.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$disposition` | string |
`$fileName` | string |
`$creationDate` | string |
`$modificationDate` | string |
`$readDate` | string |
`$size` | string |
`$additionalParameters` | array(string=>string) |
`$fileNameLanguage` | string |
`$fileNameCharSet` | string |
`$displayFileName` |  |

Documentation generated by phpDocumentor 1.4.3